![QUIQQER Payment with Stripe](bin/images/Readme.png)

QUIQQER Payment with Stripe
========

The QUIQQER Payment with Stripe module offers your customers the option to pay orders with a variety of payment methods.

**IMPORTANT:** Requires an activated and approved Stripe account for the merchant/seller (free of charge)
  * https://dashboard.stripe.com/register

Features
--------

* Diverse payment options via Stripe
  * Credit card
  * Apple Pay (Safari)
  * Google Pay (Chrome)
  * Microsoft Pay (Edge)
  * more to be implemented soon...
* One-time payments and recurring payments (for subscriptions)
* Fully PSD2 and SCA complient
  * Sensitive payment data (e.g. credit card numbers) is handled at Stripe only and is not stored at or sent to the server of your QUIQQER Shop
  * Additional authentication is handled by Stripe

Installation
------------

Package name: quiqqer/payment-stripe

Follow the instructions here to configure this module:
https://dev.quiqqer.com/quiqqer/payment-stripe/wikis/en-setup

Collaboration
----------

- Issue Tracker: https://dev.quiqqer.com/quiqqer/payment-stripe/issues
- Source Code: https://dev.quiqqer.com/quiqqer/payment-stripe

Support
-------

If you found any flaws, have any wishes or suggestions you can send an email to support@pcsg.de to inform us about your concerns. 
We will try to respond to your request and forward it to the responsible developer.

License
-------
PCSG QL-1.0, GPL-3.0+