<?php

use QUI\Utils\Security\Orthos;
use QUI\Utils\Grid;
use QUI\ERP\Payments\Stripe\PaymentMethods\Recurring\Subscriptions;
use QUI\ERP\Payments\Stripe\Provider;

/**
 * Get list of Stripe Subscriptions
 *
 * @param array $searchParams - Grid search params
 * @return array
 */
QUI::$Ajax->registerFunction(
    'package_quiqqer_payment-stripe_ajax_backend_settings_getSubscriptions',
    function ($searchParams) {
        $searchParams = Orthos::clearArray(json_decode($searchParams, true));
        $Grid         = new Grid($searchParams);

        $result = $Grid->parseResult(
            Subscriptions::getSubscriptionList($searchParams),
            Subscriptions::getSubscriptionList($searchParams, true)
        );

        $result['isSandbox'] = Provider::isSandbox();

        return $result;
    },
    ['searchParams'],
    ['Permission::checkAdminUser', 'quiqqer.payments.stripe.subscriptions.view']
);
