<?php

define('QUIQQER_SYSTEM', true);

require_once dirname(dirname(dirname(dirname(__FILE__)))).'/header.php';

use \Symfony\Component\HttpFoundation\Response;
use Stripe\Event as StripeEvent;
use QUI\ERP\Payments\Stripe\WebhookHandler;

function badRequest()
{
    $Response = QUI::getGlobalResponse();
    $Response->setStatusCode(Response::HTTP_BAD_REQUEST);
    $Response->send();
    exit;
}

try {
    $body = @file_get_contents('php://input');
    $body = \json_decode($body, true);

    if (\json_last_error() !== JSON_ERROR_NONE || !\is_array($body)) {
        badRequest();
    }

    $Event = StripeEvent::constructFrom($body);
} catch (\Exception $Exception) {
    QUI\System\Log::writeException($Exception);
    badRequest();
}

WebhookHandler::handleEvent($Event);

exit;
