<?php

namespace QUI\ERP\Payments\Stripe\PaymentMethods\Recurring;

use QUI\ERP\Payments\Stripe\Provider;

/**
 * Class AbstractRecurringBrowserPay
 *
 * Stripe payment via Browser (includes GooglePay, ApplePay, Microsoft Pay, Browser Payment Request API)
 */
abstract class AbstractRecurringBrowserPay extends AbstractBaseRecurringPayment
{
    /**
     * Get type of Browser this BrowserPay works with
     *
     * @return string[]
     */
    abstract public function getBrowserTypes();

    /**
     * Get type string of Stripe PaymentMethod
     *
     * @return string
     */
    public function getPaymentMethodType()
    {
        return 'browser_pay';
    }
}
